summaryrefslogtreecommitdiffstats
path: root/network/muttng
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 15:01:32 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 15:01:32 +0200
commitbeea0ef2c673b23bfb48f67b8e8a7cc1f7e32041 (patch)
tree0ca995ab2c8a45ce7af728b23c6ef8f87b317938 /network/muttng
parent20376b50485fd16d83f6c5f566b4b9a78f54956a (diff)
downloadslackbuilds-beea0ef2c673b23bfb48f67b8e8a7cc1f7e32041.tar.gz
slackbuilds-beea0ef2c673b23bfb48f67b8e8a7cc1f7e32041.tar.xz
network/muttng: Initial import
Diffstat (limited to 'network/muttng')
-rw-r--r--network/muttng/README8
-rw-r--r--network/muttng/muttng.SlackBuild98
-rw-r--r--network/muttng/muttng.info8
-rw-r--r--network/muttng/slack-desc8
4 files changed, 122 insertions, 0 deletions
diff --git a/network/muttng/README b/network/muttng/README
new file mode 100644
index 0000000000..a795f2159c
--- /dev/null
+++ b/network/muttng/README
@@ -0,0 +1,8 @@
+mutt next generation (mutt-ng) is a fork of the well-known email client mutt
+with the goal to both incorporate all the patches that are floating around
+in the web, and to fix all the other little annoyances of mutt.
+
+This is a build from the daily snapshots of the source code. The md5sum
+cannot be used to check the validity of the downloaded file as it will
+change everytime the snapshot is re-generated. This script was last tested
+with a snapshot from 20061014.
diff --git a/network/muttng/muttng.SlackBuild b/network/muttng/muttng.SlackBuild
new file mode 100644
index 0000000000..8c99f425fb
--- /dev/null
+++ b/network/muttng/muttng.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for muttng
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=muttng
+VERSION=latest # This will be reset below; leave this value alone
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Version taken from dirname inside latest daily snapshot
+if [ -e $CWD/$PRGNAM-latest.tar.gz ]; then
+ VERSION=`tar -tzf $CWD/$PRGNAM-latest.tar.gz | head -1 | tr -d \/ | cut -d- -f2`
+else
+ echo "Source tarball not present - exiting."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-latest.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/mutt \
+ --with-mailpath=/var/spool/mail \
+ --enable-pop \
+ --enable-imap \
+ --with-ssl \
+ --enable-locales-fix \
+ --without-wc-funcs
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS BUGS COPYRIGHT ChangeLog.* GPL INSTALL NEWS OPS.* PATCHES \
+ README.* TODO.* UPGRADING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/muttng/muttng.info b/network/muttng/muttng.info
new file mode 100644
index 0000000000..04ebd26246
--- /dev/null
+++ b/network/muttng/muttng.info
@@ -0,0 +1,8 @@
+PRGNAM="muttng"
+VERSION="cvs"
+HOMEPAGE="http://mutt-ng.berlios.de/"
+DOWNLOAD="http://nion.modprobe.de/mutt-ng/snapshots/muttng-latest.tar.gz"
+MD5SUM="Not posted since this builds from CVS"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="elohim,robw810"
diff --git a/network/muttng/slack-desc b/network/muttng/slack-desc
new file mode 100644
index 0000000000..d807177644
--- /dev/null
+++ b/network/muttng/slack-desc
@@ -0,0 +1,8 @@
+muttng: mutt-ng - mutt next generation
+muttng:
+muttng: mutt next generation (mutt-ng) is a fork of the well-known email
+muttng: client mutt with the goal to both incorporate all the patches
+muttng: that are floating around in the web, and to fix all the other
+muttng: little annoyances of mutt.
+muttng:
+muttng: